# eric7.WebBrowser.Navigation.NavigationBar

Module implementing the navigation bar widget.

### Global Attributes

None

### Classes

NavigationBar | Class implementing the navigation bar.

### Functions

None

## NavigationBar

Class implementing the navigation bar.

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

NavigationBar | Constructor
__clearHistory | Private slot to clear the history of the current web browser tab.
__contextMenuRequested | Private method to handle a context menu request.
__goBack | Private slot called to handle the backward button.
__goBackInNewTab | Private slot handling a middle click or Ctrl left click of the backward button.
__goForward | Private slot called to handle the forward button.
__goForwardInNewTab | Private slot handling a middle click or Ctrl left click of the forward button.
__goHome | Private slot called to handle the home button.
__goHomeInNewTab | Private slot handling a middle click or Ctrl left click of the home button.
__navigationMenuActionTriggered | Private slot to go to the selected page.
__reload | Private slot called to handle the reload button.
__showBackMenu | Private slot showing the backwards navigation menu.
__showForwardMenu | Private slot showing the forwards navigation menu.
__stopLoad | Private slot called to handle loading of the current page.
backButton | Public method to get a reference to the back button.
exitFullScreenButton | Public method to get a reference to the exit full screen button.
forwardButton | Public method to get a reference to the forward button.
reloadStopButton | Public method to get a reference to the reload/stop button.
searchEdit | Public method to get a reference to the web search edit.
superMenuButton | Public method to get a reference to the super menu button.

### Static Methods

None

#### NavigationBar (Constructor)

NavigationBar(mainWindow, parent=None)

Constructor

mainWindow (WebBrowserWindow)
  reference to the browser main window
parent (QWidget)
  reference to the parent widget

#### NavigationBar.__clearHistory

__clearHistory()

Private slot to clear the history of the current web browser tab.

#### NavigationBar.__contextMenuRequested

__contextMenuRequested(pos)

Private method to handle a context menu request.

pos (QPoint)
  position of the request

#### NavigationBar.__goBack

__goBack()

Private slot called to handle the backward button.

#### NavigationBar.__goBackInNewTab

__goBackInNewTab()

Private slot handling a middle click or Ctrl left click of the backward button.

#### NavigationBar.__goForward

__goForward()

Private slot called to handle the forward button.

#### NavigationBar.__goForwardInNewTab

__goForwardInNewTab()

Private slot handling a middle click or Ctrl left click of the forward button.

#### NavigationBar.__goHome

__goHome()

Private slot called to handle the home button.

#### NavigationBar.__goHomeInNewTab

__goHomeInNewTab()

Private slot handling a middle click or Ctrl left click of the home button.

#### NavigationBar.__navigationMenuActionTriggered

__navigationMenuActionTriggered(act)

Private slot to go to the selected page.

act
  reference to the action selected in the navigation menu (QAction)

#### NavigationBar.__reload

__reload()

Private slot called to handle the reload button.

#### NavigationBar.__showBackMenu

__showBackMenu()

Private slot showing the backwards navigation menu.

#### NavigationBar.__showForwardMenu

__showForwardMenu()

Private slot showing the forwards navigation menu.

#### NavigationBar.__stopLoad

__stopLoad()

Private slot called to handle loading of the current page.

#### NavigationBar.backButton

backButton()

Public method to get a reference to the back button.

Return:
  reference to the back button

Return Type:
  QToolButton

#### NavigationBar.exitFullScreenButton

exitFullScreenButton()

Public method to get a reference to the exit full screen button.

Return:
  reference to the exit full screen button

Return Type:
  QToolButton

#### NavigationBar.forwardButton

forwardButton()

Public method to get a reference to the forward button.

Return:
  reference to the forward button

Return Type:
  QToolButton

#### NavigationBar.reloadStopButton

reloadStopButton()

Public method to get a reference to the reload/stop button.

Return:
  reference to the reload/stop button

Return Type:
  QToolButton

#### NavigationBar.searchEdit

searchEdit()

Public method to get a reference to the web search edit.

Return:
  reference to the web search edit

Return Type:
  WebBrowserWebSearchWidget

#### NavigationBar.superMenuButton

superMenuButton()

Public method to get a reference to the super menu button.

Return:
  reference to the super menu button

Return Type:
  QToolButton

Up